Package org.apache.cxf.common.util

# Class Base64UrlUtility

java.lang.Object
org.apache.cxf.common.util.Base64UrlUtility

public final class Base64UrlUtility extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `decode(String encoded)`
  `static String`
  `encode(byte[] id)`
  `static String`
  `encode(String str)`
  `static void`
  `encodeAndStream(byte[] id, int o, int l, OutputStream os)`
  `static String`
  `encodeChunk(byte[] id, int offset, int length)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### decode

    public static byte[] decode(String encoded) throws Base64Exception
    Throws:
      `Base64Exception`

  - ### encode

    public static String encode(String str)

  - ### encode

    public static String encode(byte[] id)

  - ### encodeChunk

    public static String encodeChunk(byte[] id, int offset, int length)

  - ### encodeAndStream

    public static void encodeAndStream(byte[] id, int o, int l, OutputStream os) throws IOException
    Throws:
      `IOException`